module.exports.ifEmpty = function(is,src,map,dn){
  if(is){
    map[dn] = {
      src,
    };
  }
};

module.exports.ifNoEmpty = function(is,src,map,dn){
  if(is){
    const n = {
      src,
    };
    for(let i=0;i<map[dn].length;i++){
      n[map[dn][i]] = {
        src: `${src}/${map[dn][i]}`
      };
    }
    map[dn] = n;
  }
};

module.exports.deepOne = function(obj,parent = ''){
  const refetch = [];

  for(const k in obj){
    const deepn = `${parent===''?parent:`${parent}/`}${k}`;

    if(obj[k].src){
      refetch.push(obj[k].src);
    }
    if(typeof obj[k] === 'object'){
      const result = module.exports.deepOne(obj[k],deepn);
      for(const _k in result){
        refetch.push(result[_k]);
      }
    }
  }

  return refetch;
};
